% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/flow_trans.R
\name{flowjo_fasinh}
\alias{flowjo_fasinh}
\alias{flowJo.fasinh}
\alias{flowjo_fsinh}
\alias{flowJo.fsinh}
\title{inverse hyperbolic sine transform function}
\usage{
flowjo_fasinh(m = 4, t = 12000, a = 0.7, length = 256)

flowjo_fsinh(m = 4, t = 12000, a = 0.7, length = 256)
}
\arguments{
\item{m}{numeric the full width of the transformed display in asymptotic decades}

\item{t}{numeric the maximum value of input data}

\item{a}{numeric Additional negative range to be included in the display in asymptotic decades}

\item{length}{numeric the maximum value of transformed data}
}
\value{
fasinh/fsinh transform function
}
\description{
hyperbolic sine/inverse hyperbolic sine (flowJo-version) transform function constructor
}
\examples{
trans <- flowjo_fasinh()
data.raw <- c(1,1e2,1e3)
data.trans <- trans(data.raw)
data.trans

inverse.trans <- flowjo_fsinh()
inverse.trans(data.trans)

}
